List locally installed OpenAI-compatible models.
Returns the OpenAI model-list shape for models already installed in reachable local runtimes. Local clients can use the same `b3iq_local_` key they use for `/v1/chat/completions`; setup/operator access is also accepted for local administration.
GET
/v1/models
Returns the OpenAI model-list shape for models already installed in
reachable local runtimes. Local clients can use the same `b3iq_local_`
key they use for `/v1/chat/completions`; setup/operator access is also
accepted for local administration.
Authentication
Bearer Token (b3iq_local) API Key (header: X-B3IQ-API-Key) Bearer Token
Responses
200
Installed local models.
application/jsonobject
string
REQUIRED
Enum:
listdata
object[]
REQUIRED
Array of:
id
string
REQUIRED
object
string
REQUIRED
Enum:
modelcreated
integer
REQUIRED
Unix timestamp when known. Local host-agent uses 0 for runtime-discovered models.
owned_by
string
REQUIRED
default
B3IQ-native problem response.
curl -X GET 'http://127.0.0.1:8831/v1/models' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('http://127.0.0.1:8831/v1/models', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('http://127.0.0.1:8831/v1/models', headers=headers)print(response.json())
200
Response
{ "object": "list", "data": [ { "id": "<string>", "object": "model", "created": 123, "owned_by": "b3iq-local" } ]}
API Playground
Try this endpoint
GET
/v1/models

